<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/BaseBuilding/Scripts/4_world/dayzexpansion_basebuilding/classes/basebuilding/expansionsnappingdirection.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/de0/a00050_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionsnappingdirection.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d5/de0/a00050.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionSnappingDirection.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../da/dfd/a03401.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../da/dfd/a03401.html">ExpansionSnappingDirection</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../da/dfd/a03401.html#a3821b583f8b6d1695929155e7f8b8ac2">   15</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/dfd/a03401.html#a3821b583f8b6d1695929155e7f8b8ac2">Index</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../da/dfd/a03401.html#ace3f9e54bd14ece6a688603b3a1fc919">   17</a></span>    vector <a class="code hl_variable" href="../../da/dfd/a03401.html#ace3f9e54bd14ece6a688603b3a1fc919">Position</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../da/dfd/a03401.html#a53affd90cbc69cf2132c8ad17a8a705a">   19</a></span>    ref array&lt; string &gt; <a class="code hl_variable" href="../../da/dfd/a03401.html#a53affd90cbc69cf2132c8ad17a8a705a">Allow</a> = <span class="keyword">new</span> array&lt; string &gt;;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../da/dfd/a03401.html#afa28dec8acd7f69b5e485fb5778b798a">   20</a></span>    ref array&lt; int &gt; <a class="code hl_variable" href="../../da/dfd/a03401.html#afa28dec8acd7f69b5e485fb5778b798a">Offset</a> = <span class="keyword">new</span> array&lt; int &gt;;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>};</div>
<div class="ttc" id="aa03401_html"><div class="ttname"><a href="../../da/dfd/a03401.html">ExpansionSnappingDirection</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/de0/a00050_source.html#l00013">expansionsnappingdirection.c:14</a></div></div>
<div class="ttc" id="aa03401_html_a3821b583f8b6d1695929155e7f8b8ac2"><div class="ttname"><a href="../../da/dfd/a03401.html#a3821b583f8b6d1695929155e7f8b8ac2">ExpansionSnappingDirection::Index</a></div><div class="ttdeci">int Index</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/de0/a00050_source.html#l00015">expansionsnappingdirection.c:15</a></div></div>
<div class="ttc" id="aa03401_html_a53affd90cbc69cf2132c8ad17a8a705a"><div class="ttname"><a href="../../da/dfd/a03401.html#a53affd90cbc69cf2132c8ad17a8a705a">ExpansionSnappingDirection::Allow</a></div><div class="ttdeci">ref array&lt; string &gt; Allow</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/de0/a00050_source.html#l00019">expansionsnappingdirection.c:19</a></div></div>
<div class="ttc" id="aa03401_html_ace3f9e54bd14ece6a688603b3a1fc919"><div class="ttname"><a href="../../da/dfd/a03401.html#ace3f9e54bd14ece6a688603b3a1fc919">ExpansionSnappingDirection::Position</a></div><div class="ttdeci">vector Position</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/de0/a00050_source.html#l00017">expansionsnappingdirection.c:17</a></div></div>
<div class="ttc" id="aa03401_html_afa28dec8acd7f69b5e485fb5778b798a"><div class="ttname"><a href="../../da/dfd/a03401.html#afa28dec8acd7f69b5e485fb5778b798a">ExpansionSnappingDirection::Offset</a></div><div class="ttdeci">ref array&lt; int &gt; Offset</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/de0/a00050_source.html#l00020">expansionsnappingdirection.c:20</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_e66306a3976d6d81f5e1305840c1314d.html">BaseBuilding</a></li><li class="navelem"><a class="el" href="../../dir_92106a510097343a3fe1c14124c59151.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_844bf89108e22cf51aae4b5452c2c906.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_a0e24776517e17f620f1adfb86971bb4.html">dayzexpansion_basebuilding</a></li><li class="navelem"><a class="el" href="../../dir_7c54c617c523e91968b06f6c4d40561c.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_efeefaa46ffd56aa9f227d7b8dd38c2a.html">basebuilding</a></li><li class="navelem"><a class="el" href="../../d5/de0/a00050.html">expansionsnappingdirection.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
